JGraph X 1.3.0.0

## com.mxgraph.view
Interface mxPerimeter.mxPerimeterFunction

Enclosing class:
  mxPerimeter

    public static interface mxPerimeter.mxPerimeterFunction

Defines the requirements for a perimeter function.

Method Summary
`mxPoint` `apply(mxRectangle bounds, mxCellState edgeState, mxCellState terminalState, boolean isSource, mxPoint next)` Implements a perimeter function.

Method Detail

### apply

    mxPoint apply(mxRectangle bounds,
                  mxCellState edgeState,
                  mxCellState terminalState,
                  boolean isSource,
                  mxPoint next)

  Implements a perimeter function. The edgeState and terminalState refer to the states of the edge and terminal cells. The edge state may be null if the perimeter is used for inserting new edges. isSource is true if the given terminal is the source of the edge, and next refers to the nearest point on the edge. Note that you should not read the points from the edgeState at this point.

  Parameters:
    `bounds` - Rectangle that represents the absolute bounds of the vertex.
    `edgeState` - Cell state that represents the incoming or outgoing edge.
    `terminalState` - Cell state that represents the vertex.
    `isSource` - Boolean that specifies if the vertex is the source terminal.
    `next` - Point that represents the nearest neighbour point on the given edge.
  Returns:
    Returns the perimeter point.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.